Skip to main content
POST
Cancel a Scheduled SMS Message and Refund Reserved Units

Authorizations

Client-ID
string
header
required

Your UgaText Client-ID (e.g. uga_...). Accepted header aliases: X-Client-ID, or combined in Authorization: Bearer : / X-API-Key: :.

Client-Secret
string
header
required

Your UgaText Client-Secret (e.g. sk_live_...). Accepted header alias: X-Client-Secret.

Path Parameters

id
string
required

The scheduled message ID to cancel

Example:

"sched_1760425200000_1a2b3c4d"

Body

application/json
reason
string

Optional cancellation reason.

Example:

"Customer rescheduled appointment"

Response

Scheduled message cancelled successfully

success
boolean
Example:

true

message_id
string
Example:

"sched_1760425200000_1a2b3c4d"

status
string
Example:

"cancelled"

cancelled_at
string<date-time>
refunded_units
integer
Example:

0

refunded_ugx
number
Example:

0

remaining_balance_ugx
number
Example:

400

remaining_sms_units
integer
Example:

16

message
string
Example:

"Scheduled SMS cancelled successfully."